// pages/kabaw/viplist.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    mycoupon:'',
    list:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getlist()
  },
  godetail: function (e) {
    var id = e.currentTarget.dataset.id
    console.log(id)

    wx.navigateTo({
      url: '/pages/kabaw/carddetail?id=' + id + '&way=use',
    })
  },
  getlist:function(){

    var that = this
    console.log(getApp().api.everyday_coupon.user_info)
    getApp().request({
      url: getApp().api.everyday_coupon.viplist,
      data: {
      },
      success: function (t) {
        console.log(t)
        var list = t.data.list
        that.setData({
          list: list
        })
      }
    })
  },
  gomore:function(){
    wx.redirectTo({
      url: '/pages/kabaw/buyvip',
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})